API referenceWebhooks
Rotate Webhook Secret
Authorization
bearerAuth AuthorizationBearer <token>
Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.
In: header
Path Parameters
organization_id*stringFormat
uuidwebhook_id*stringFormat
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "name": "string", "url": "string", "event_types": [ "string" ], "enabled": true, "secret_prefix": "string", "rotated_at": "2019-08-24T14:15:22Z", "last_delivery_at": "2019-08-24T14:15:22Z", "last_delivery_status": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "disabled_at": "2019-08-24T14:15:22Z", "secret": "string"}